From: Steev Klimaszewski <steev@kali.org>
Date: Thu, 23 May 2024 12:29:31 -0500
Subject: Fix includes for GCC 14 strictness

Fowarded: Not-needed

GCC 14 is more strict about implicit declarations.  As we will never
build this as a separate package, explicitly include the eaphammer
includes that are needed.
---
 local/hostapd-eaphammer/src/eap_server/eap_server_gtc.c      | 1 +
 local/hostapd-eaphammer/src/eap_server/eap_server_md5.c      | 1 +
 local/hostapd-eaphammer/src/eap_server/eap_server_mschapv2.c | 3 ---
 local/hostapd-eaphammer/src/eap_server/eap_server_ttls.c     | 3 ---
 4 files changed, 2 insertions(+), 6 deletions(-)

diff --git a/local/hostapd-eaphammer/src/eap_server/eap_server_gtc.c b/local/hostapd-eaphammer/src/eap_server/eap_server_gtc.c
index 447ea75..0a5e62a 100644
--- a/local/hostapd-eaphammer/src/eap_server/eap_server_gtc.c
+++ b/local/hostapd-eaphammer/src/eap_server/eap_server_gtc.c
@@ -10,6 +10,7 @@
 
 #include "common.h"
 #include "eap_i.h"
+#include "eaphammer_wpe/eaphammer_wpe.h"
 
 
 struct eap_gtc_data {
diff --git a/local/hostapd-eaphammer/src/eap_server/eap_server_md5.c b/local/hostapd-eaphammer/src/eap_server/eap_server_md5.c
index c2486da..29f7925 100644
--- a/local/hostapd-eaphammer/src/eap_server/eap_server_md5.c
+++ b/local/hostapd-eaphammer/src/eap_server/eap_server_md5.c
@@ -11,6 +11,7 @@
 #include "common.h"
 #include "crypto/random.h"
 #include "eap_i.h"
+#include "eaphammer_wpe/eaphammer_wpe.h"
 #include "eap_common/chap.h"
 
 
diff --git a/local/hostapd-eaphammer/src/eap_server/eap_server_mschapv2.c b/local/hostapd-eaphammer/src/eap_server/eap_server_mschapv2.c
index ae9cd15..9e23f5e 100644
--- a/local/hostapd-eaphammer/src/eap_server/eap_server_mschapv2.c
+++ b/local/hostapd-eaphammer/src/eap_server/eap_server_mschapv2.c
@@ -12,10 +12,7 @@
 #include "crypto/ms_funcs.h"
 #include "crypto/random.h"
 #include "eap_i.h"
-
-#ifdef EAPHAMMER
 #include "eaphammer_wpe/eaphammer_wpe.h"
-#endif
 
 struct eap_mschapv2_hdr {
 	u8 op_code; /* MSCHAPV2_OP_* */
diff --git a/local/hostapd-eaphammer/src/eap_server/eap_server_ttls.c b/local/hostapd-eaphammer/src/eap_server/eap_server_ttls.c
index 824b9ad..40953d6 100644
--- a/local/hostapd-eaphammer/src/eap_server/eap_server_ttls.c
+++ b/local/hostapd-eaphammer/src/eap_server/eap_server_ttls.c
@@ -16,10 +16,7 @@
 #include "eap_server/eap_tls_common.h"
 #include "eap_common/chap.h"
 #include "eap_common/eap_ttls.h"
-
-#ifdef EAPHAMMER
 #include "eaphammer_wpe/eaphammer_wpe.h"
-#endif
 
 
 #define EAP_TTLS_VERSION 0
